---
type: api
title: Delete Timelines or Timeline templates
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-deletetimelines
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-deletetimelines
products:
  - Kibana
---

# Delete Timelines or Timeline templates

- Server: `https://{kibana_url}`

## Paths

- `DELETE` `/api/timeline`
- `DELETE` `/s/{space_id}/api/timeline`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Delete one or more Timelines or Timeline templates.

## Request Body

`application/json`

The IDs of the Timelines or Timeline templates to delete.

- `savedObjectIds` ([] string · max: 100) — required
  The list of IDs of the Timelines or Timeline templates to delete
- `searchIds` ([] string · max: 100) — optional
  Saved search IDs that should be deleted alongside the timelines

## Response

Indicates a successful call.

`application/json`

Type: `object`

## Code Examples

#### Console

```console
DELETE /api/timeline
{
  "savedObjectIds": [
    "15c1929b-0af7-42bd-85a8-56e234cc7c4e"
  ]
}
```

#### curl

```curl
curl -X DELETE "https://{kibana_url}/api/timeline" \
  -H "Content-Type: application/json" \
  -d '{
  "savedObjectIds": [
    "15c1929b-0af7-42bd-85a8-56e234cc7c4e"
  ]
}'
```

## Response Examples

#### Success

```json
{}
```

